org.springframework.batch.item.file.transform

## Class DelimitedLineAggregator<T>

- java.lang.Object
- - org.springframework.batch.item.file.transform.ExtractorLineAggregator<T>
  - - org.springframework.batch.item.file.transform.DelimitedLineAggregator<T>

- All Implemented Interfaces:
    LineAggregator<T>

      public class DelimitedLineAggregator<T>
      extends ExtractorLineAggregator<T>

  A `LineAggregator` implementation that converts an object into a delimited list of strings. The default delimiter is a comma.
  Author:
    Dave Syer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelimitedLineAggregator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `doAggregate(java.lang.Object[] fields)` Aggregate provided fields into single String.
    `void` | `setDelimiter(java.lang.String delimiter)` Public setter for the delimiter.

    - ### Methods inherited from class org.springframework.batch.item.file.transform.ExtractorLineAggregator

      `aggregate, setFieldExtractor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelimitedLineAggregator

          public DelimitedLineAggregator()

  - ### Method Detail

    - #### setDelimiter

          public void setDelimiter(java.lang.String delimiter)

      Public setter for the delimiter.
      Parameters:
        `delimiter` - the delimiter to set

    - #### doAggregate

          public java.lang.String doAggregate(java.lang.Object[] fields)

      Description copied from class: `ExtractorLineAggregator`
      Aggregate provided fields into single String.
      Specified by:
        `doAggregate` in class `ExtractorLineAggregator<T>`
      Parameters:
        `fields` - An array of the fields that must be aggregated
      Returns:
        aggregated string